Two-pane view of role filters has no pagination controls

11/03/2015 09:54 AM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Users, Roles and Permissions   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1277444 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3193

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1277444

Description of problem:

It is not possible to attach more than 20 filters to role. If you attach more than 20 filters, filter will not appear in list.

Version-Release number of selected component (if applicable):

How reproducible:

100%

Steps to Reproduce:

1. Go to Administer

2. Roles

3. Click on Role

4. Go to filters

5. Add 20 filters

6. Add extra filter (21.st)

Actual results:

Filter not visible/added

Expected results:

Filter visible/added

Additional info:

Associated revisions

Revision e3047ef2 - 02/17/2016 10:10 AM - Shimon Shtein

Fixes #12380 - Added the ability to select pagination mechanism in /filters

History

#1 - 11/03/2015 09:58 AM - Dominic Cleal

- Subject changed from Can't attach more than 20 filters to role. to Two-pane view of role filters has no pagination controls

- Category changed from Web Interface to Users, Roles and Permissions

- Assignee deleted (Ohad Levy)

Use the regular filters view as a workaround.

#2 - 02/16/2016 03:03 AM - Shimon Shtein
- Assignee set to Shimon Shtein

#3 - 02/16/2016 08:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3193 added

#4 - 02/17/2016 11:02 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e3047ef2b3ba32e6b288dc36526310e0d11155e1.

#5 - 02/18/2016 07:28 AM - Dominic Cleal

- translation missing: en.field_release set to 71
